<?php

namespace Diamond\Domain\Page\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

interface PageCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{

    public function getSearchByCode(): ?string;

    public function getSearchByTitle(): ?string;

    public function getSearchByUrl(): ?string;

    public function getSearchByScript(): ?string;

    public function getFilterByTemplate(): ?string;

    public function getFilterByActive(): ?bool;

    public function getFilterBySystem(): ?bool;

    public function getFilterBySiteId(): ?int;
}